> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Document Upload



## OpenAPI

````yaml /openapi.json post /v1/vendor/requests/{recipientId}/documents
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/vendor/requests/{recipientId}/documents:
    post:
      tags:
        - Rfq Vendor
      summary: Start Document Upload
      operationId: RfqVendorController_startDocumentUpload_v1
      parameters:
        - name: recipientId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                kind:
                  type: string
                  enum:
                    - supporting_docs
                    - certificate
                    - test_report
                    - warranty
                    - finish_sample
                    - other
                requestItemId:
                  anyOf:
                    - type: string
                      pattern: ^[1-9]\d{0,18}$
                    - type: 'null'
                filename:
                  type: string
                  minLength: 1
                  maxLength: 255
                sizeBytes:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 500000000
                checksumSha256:
                  type: string
                  pattern: ^[0-9a-f]{64}$
              required:
                - kind
                - filename
                - sizeBytes
                - checksumSha256
              additionalProperties: false
      responses:
        '201':
          description: ''

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.